package rest_websocket

import (
	"git.ali33.ru/fcg-xvii/go-tools/json"
	"git.ali33.ru/fcg-xvii/rest"
)

type MessageEvent struct {
	*MessageEvent
}

func (s *MessageEvent) Type() rest.RequestType {
	return rest.RequestTypeEvent
}

func (s *MessageEvent) ResponseSuccess(data json.Map, files map[string]rest.IReadCloserLen) rest.IResponse {
	return nil
}

func (s *MessageEvent) ResponseError(code int, err rest.IErrorArgs) rest.IResponse {
	return nil
}
